Post by i2Paq » Fri Mar 04, 2016 5:14 am

Heather says: "Hey everyone!!" ;)

Download

Issues with a clean install can be discussed here: "Official" 2.2.0.0 BUG topic

BUGs should be posted at the OpenCart GitHub Issue tracker.

Clean install went like a breeze, first impressions: lot of changes, smooth operating!

Have a look at the: v2.1.0.0 (29.09.2015) and v2.1.0.1 (06.10.2015) Bug & Changelog

Tell me what you think!

Norman in 't Veldt
Moderator OpenCart Forums

_________________ READ and Search BEFORE POSTING _________________

UPGRADE to 2.x: Contemplate before thou begins!

Our FREE search: Find your answer FAST!.

BUGs?: Known BUGS for All OC Versions.

[How to] BTW + Verzend + betaal setup.


User avatar
Global Moderator

Posts

Joined
Mon Nov 09, 2009 7:00 pm
Location - Winkel - The Netherlands

Post by N1kko » Fri Mar 04, 2016 10:29 pm

Is it possible to upgrade from previous versions or is this still an issue?

User avatar
New member

Posts

Joined
Tue Dec 15, 2009 1:19 am

Post by i2Paq » Fri Mar 04, 2016 10:36 pm

N1kko wrote:Is it possible to upgrade from previous versions or is this still an issue?
There are possibilities but your have to search these forums.

There are third party's that will do the upgrade for you.

Norman in 't Veldt
Moderator OpenCart Forums

_________________ READ and Search BEFORE POSTING _________________

UPGRADE to 2.x: Contemplate before thou begins!

Our FREE search: Find your answer FAST!.

BUGs?: Known BUGS for All OC Versions.

[How to] BTW + Verzend + betaal setup.


User avatar
Global Moderator

Posts

Joined
Mon Nov 09, 2009 7:00 pm
Location - Winkel - The Netherlands

Post by Daniel » Sat Mar 05, 2016 2:18 pm

the latest version has a progressive upgrade system. i tested it from very old 1.4 version.

OpenCart®
Project Owner & Developer.
OpenCart commercial support now available!


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by Qphoria » Sat Mar 05, 2016 2:54 pm

Actually upgrades won't work at all from 1.4.x or 1.5.x. Mainly because of the order of the progressive files.

For example, 1001.php calls

Code: Select all

// order
		$query = $this->db->query("SELECT * FROM `" . DB_PREFIX . "order`");

		foreach ($query->rows as $result) {
			if (preg_match('/^(a:)/', $result['custom_field'])) {
But custom_field in the order table didn't exist in 1.4 or 1.5
The code to add custom_field to the order, customer, etc tables doesn't happen until 1003.
So first and foremost, 1003 and 1001 need to be swapped, otherwise you get an error.

Also the issue with the group column being left behind in previous versions will cause problems in 1005, as the call to rename group to code will fail since upgrades to 2.0.x and 2.1.x failed to remove group by default. So most stores have both code and group columns still, which also causes other issues since many records have a race condition that potentially loads the wrong record from settings. That code actually needs to have a subquery to check if the 'code' columns already exists. If it doesn't exist, rename group to code, if it does exist, just drop the group column. So anyone who upgraded from 1.5.x to 2.x (and didn't use my upgrade service), will have errors upgrading to 2.2. I also moved that step up to 1001 after swapping it with 1003.

I see you removed the dynamic system that 2.1 had. I actually ran the 2.2 upgrade with only the new static code, then ran it again using the dynamic system that actually parses through the opencart.sql file and updates all the fields accordingly. There were a few things the dynamic system found that the static files missed.
1. customer has a "code" column. Not sure if it is used, but it exists in the opencart.sql file
2. order_recurring has a "reference" column. Again not sure if it is used. The upgrade scripts in 2.2 don't add it, but the dynamic system found it in the opencart.sql and added it.
3. Also the dynamic system updates things like new default values and I added in support for unsigned int changes. It also fixes broken or incorrect indexes on tables. So in the end, it did a much more thorough job. I would recommend adding that back. You can still use the progressive format for other changes after that script runs. I added it to the 1000.php file back where it was initially at the bottom. It actually takes care of a lot of the other static stuff in other progressive files so a lot of that could be cleaned up.

Finally, unrelated to upgrades... there is a parenthesis mistake on admin->customer->customer list in the controller. Simple enough to fix.

That's all I've found so far.

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by Daniel » Sat Mar 05, 2016 7:57 pm

can u do a commit to fix it?

OpenCart®
Project Owner & Developer.
OpenCart commercial support now available!


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by Johnathan » Sat Mar 05, 2016 11:06 pm

It's nice to hear a progressive upgrade feature is being worked on -- I don't think users care how it works, as long as it does, so it will be great to have once it's stable.

And thanks for your detailed worked on doing upgrades, Q, as always.

Image
Image Image Image Image Image Image


User avatar
Global Moderator

Posts

Joined
Fri Dec 18, 2009 3:08 am


Post by labeshops » Sat Mar 05, 2016 11:21 pm

Johnathan wrote:It's nice to hear a progressive upgrade feature is being worked on -- I don't think users care how it works, as long as it does, so it will be great to have once it's stable.

And thanks for your detailed worked on doing upgrades, Q, as always.
I agree. I've been putting off switching to v2 because of the upgrade issue. Really cannot wait until it's fixed as I'm loving 2.2 I have installed in a sub directory right now.

Running Opencart v2.2 with multi-stores from http://www.labeshops.com which has links to all my stores.

Image


User avatar
Expert Member

Posts

Joined
Thu Aug 04, 2011 4:41 am
Location - Florida, USA

Post by Daniel » Sat Mar 05, 2016 11:30 pm

i think its 1.50 then i tested with. i did do a lot of testing. I just forgot which version i started from.

OpenCart®
Project Owner & Developer.
OpenCart commercial support now available!


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by Qphoria » Sat Mar 05, 2016 11:37 pm

Daniel wrote:can u do a commit to fix it?
Yes.. i'm still testing.. when I get it all working I'll commit

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by exit15 » Sun Mar 06, 2016 12:55 am

I'm not a developer, or an opensource expert, but there has been 8 releases of 2.x and none of them is upgradable. It seems that the two administrators in this forum daniel and qphoria did not try this together before releasing the latest version. is that how it works? makes no sense to me. thanks ex

New member

Posts

Joined
Sun Mar 03, 2013 2:05 am

Post by Qphoria » Sun Mar 06, 2016 1:26 am

exit15 wrote:I'm not a developer, or an opensource expert, but there has been 8 releases of 2.x and none of them is upgradable. It seems that the two administrators in this forum daniel and qphoria did not try this together before releasing the latest version. is that how it works? makes no sense to me. thanks ex
I am only a forum admin. I am not part of the release team so I have no control.

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by slavib » Mon Mar 07, 2016 12:24 am

Hello
Opencart and very good system. But.
I do 6 months 6 store customers.
When a new version I stop the development of these shops, because there is no upgrade.
My clients are very dissatisfied.
Here now again there is no upgrade from 2.1.0.2 to 2.2.0.0.
There is not even a description of the changed fields in the database.
I think that the lack of upgrade is pretty frivolous attitude
Please tell such there will be things in the future.
I ask to know to use you Opencart in the future.

New member

Posts

Joined
Wed Sep 11, 2013 4:13 am

Post by OSWorX » Mon Mar 07, 2016 12:45 am

slavib wrote:Hello
Opencart and very good system. But.
I do 6 months 6 store customers.
When a new version I stop the development of these shops, because there is no upgrade.
My clients are very dissatisfied.
Here now again there is no upgrade from 2.1.0.2 to 2.2.0.0.
There is not even a description of the changed fields in the database.
I think that the lack of upgrade is pretty frivolous attitude
Please tell such there will be things in the future.
I ask to know to use you Opencart in the future.
It seems that you are earning money when you have 6 customers.

First of all, if you are maintaining shops, you should know what you are doing.
Therefore just post here one reason why a working shop should be updated.
Especially with a version which is published a few days.

As an agency (or somewhat else ..) you should know that such will never be a good idea.
And especially not with OpenCart.

Was the update your idea?
If, you should check before the code (I assume you have the knowledge, if not what are you doing with your customer ??).
If not, I assume your customers asked you to do so. In such a case you should have arguments against an upgrade/update.

I would have an understanding when upgrading from 1.5.x to 2.x, but not from 2.1.0.2 (which is basically running without any bigger bugs) to the latest 2.2.0.0!

I have nearly 3,4 customers each months having very big troubles because their agency have made an update ... and now their shops are not running anymore!

Image


User avatar
Expert Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by slavib » Mon Mar 07, 2016 1:08 am

OSWorX :)
OC stores are my hobby. To 6 customers per month and earn money.
Founded my job is to Hold other software - accounting.
Sometimes the answer to customers just like you.
OSWorX :) - If I do not mention argument - does this mean that you should not to do.
I will mention only one argument.
Everyone seeks his things to be the best.
At the moment you shift the subject.
I ask these things you will be in the future.
You ask me is there any sense. - To make sense.
After placing both questions, let me ask you something.
Do you have an update from 1.5 to 2.2.0.0
Basically no sense never be produced if there is no software upgrade to new version
You know I'm right.
Swordplay will not change the situation.
Therefore I suggest to stop the dispute.

New member

Posts

Joined
Wed Sep 11, 2013 4:13 am

Post by pm-netti » Mon Mar 07, 2016 3:31 am

slavib wrote:Hello
Opencart and very good system. But.
I do 6 months 6 store customers.
When a new version I stop the development of these shops, because there is no upgrade.
My clients are very dissatisfied.
Here now again there is no upgrade from 2.1.0.2 to 2.2.0.0.
There is not even a description of the changed fields in the database.
I think that the lack of upgrade is pretty frivolous attitude
Please tell such there will be things in the future.
I ask to know to use you Opencart in the future.
Version 2.2 new columns (after oc 2.1):
table customer: code, type varchar, length 40
table custom_field: validation, type varchar, length 255
change columns:
table affiliate_activity: activity_id rename affiliate_activity_id
table customer_activity: activity_id rename customer_activity_id
slavib wrote: Do you have an update from 1.5 to 2.2.0.0
Opencart Remote Upgrade Tool :)
Last edited by pm-netti on Tue Mar 15, 2016 10:09 pm, edited 1 time in total.

Image
- - - OpenCart Upgrade Service - - -


User avatar
Active Member

Posts

Joined
Sat Apr 07, 2012 11:22 pm
Location - Kittilä-Finland

Post by chilledworld » Tue Mar 08, 2016 6:01 pm

If it's not broke don't fix it.
One of our best money making websites is on OC 1.5.6
Will I upgrade it NO, I do not have the time because I am too busy completing orders created by the 1.5.6 store.
If you are constantly looking to upgrade your store to the brand new and shiny Opencart version then maybe you should ask why you have so much time on your hands and maybe try to improve the store you have already built with good design and easy navigation for your customers.

Newbie

Posts

Joined
Mon Jan 31, 2011 4:29 am

Post by ThePath » Wed Mar 09, 2016 3:29 am

A quick note.

I performed an update from 2.1.0.2 to 2.2.0.0 and on the category page received a load of warnings including:

Warning: imagecreatetruecolor(): Invalid image dimensions in
Warning: imagecolorallocate() expects parameter 1 to be resource, boolean given in
Warning: imagefilledrectangle() expects parameter 1 to be resource, boolean given in

and a load more.

I immediately went to the image settings in the store admin and noticed all but the store logo and favicon settings had vanished. I resaved with no change and wondered if the settings were present in the DB, they were. Very strange.

Thought I would then delete the DB, blank the config files, reupload the install folder and do a "freshish" install. This resolved the warnings but the image settings are still not there. Thought perhaps they had been moved? But after a quick scan of the admin I can't find them if they have been.

Cheers

Image

OpenCart Theme Options - See All My Extensions - OpenCart Themes and Mods


User avatar
Active Member

Posts

Joined
Fri Jun 26, 2009 11:53 pm
Location - Scotland

Post by pm-netti » Wed Mar 09, 2016 3:46 am

ThePath wrote:A quick note.

I performed an update from 2.1.0.2 to 2.2.0.0 and on the category page received a load of warnings including:

Warning: imagecreatetruecolor(): Invalid image dimensions in
Warning: imagecolorallocate() expects parameter 1 to be resource, boolean given in
Warning: imagefilledrectangle() expects parameter 1 to be resource, boolean given in

and a load more.

I immediately went to the image settings in the store admin and noticed all but the store logo and favicon settings had vanished. I resaved with no change and wondered if the settings were present in the DB, they were. Very strange.

Thought I would then delete the DB, blank the config files, reupload the install folder and do a "freshish" install. This resolved the warnings but the image settings are still not there. Thought perhaps they had been moved? But after a quick scan of the admin I can't find them if they have been.

Cheers
This update image setting pages:

Code: Select all

UPDATE `oc_setting` SET `key` =   REPLACE ( key , 'config_image', 'theme_default_image' );
UPDATE `oc_setting` SET `code` =  'theme' WHERE LIKE `key` 'theme_default%';

Image
- - - OpenCart Upgrade Service - - -


User avatar
Active Member

Posts

Joined
Sat Apr 07, 2012 11:22 pm
Location - Kittilä-Finland

Post by ThePath » Wed Mar 09, 2016 4:04 am

But I have done a freshish install so does this have to happen after a fresh install?

Also it throws an sql syntax error when you try and runn your queries above.

#1064 - You have an error in your SQL syntax;

Thanks

Image

OpenCart Theme Options - See All My Extensions - OpenCart Themes and Mods


User avatar
Active Member

Posts

Joined
Fri Jun 26, 2009 11:53 pm
Location - Scotland
Who is online

Users browsing this forum: No registered users and 10 guests